ECHO OFF
CLS
ECHO:
ECHO:
ECHO:
ECHO Welcome to the setup process to install the update for:
ECHO:
ECHO      Model 8258 - Ms. Pac Man Blue Partycade, arcade machine.
ECHO:
ECHO WARNING: Do not install this update on any other machine, it may damage that machine.
ECHO:
ECHO To complete this process you will need the following items.
ECHO:
ECHO   1. A screwdriver.
ECHO   2. A USB to MicroUSB cable.
ECHO   3. A model Model 8258 - Ms. Pac Man Blue Partycade machine.
ECHO:
ECHO Once you have these items.....
ECHO:
PAUSE
CLS
ECHO:
ECHO:
ECHO:
ECHO MACHINE PREPARATION
ECHO -------------------
ECHO Read everything on this screen and do not press ENTER until you have
ECHO completed all steps.
ECHO:
ECHO You are going to need to perform the following steps on your machine
ECHO before completing this installation.
ECHO:
ECHO   1. Unscrew the panel on the back of your Partycade machine.  
ECHO   2. On the back of the monitor you will see the PCBA housing box.
ECHO   3. Flip the switch on that box to OFF.
ECHO   4. Unplug the POWER cable.
ECHO   5. Connect the MicroUSB end of your cable to the connector on 
ECHO      the side of the box next to where the power was plugged in.
ECHO      DO NOT connect the USB end to the PC, that comes in a later step.
ECHO:
ECHO Once you have completed these steps..... 
ECHO:
PAUSE
CLS
ECHO:
ECHO:
ECHO:
ECHO DRIVER INSTALLATION
ECHO -------------------
ECHO Read each step on this screen and only press ENTER when you have
ECHO completed each step.
ECHO:
ECHO NOTE: This update replaces the software that was previously on the machine.
ECHO       This is unavoidable.  All previous high scores will be wiped from memory.
ECHO:
ECHO First we need to install a driver for the software to work properly.
ECHO:
ECHO You may see a screen that tells you the software is blocked, click on MORE INFO on that 
ECHO screen and choose RUN ANYWAY to allow it to run.
ECHO:
ECHO You will then see another screen asking if you want to allow the software to run on your PC, 
ECHO select YES.  This software has been checked and is safe for your PC.
ECHO:
ECHO Select INSTALL DRIVER on the screen that appears.
ECHO:
ECHO When the installation is complete, close that window to return to this screen.
ECHO Later we will uninstall the driver.
ECHO:
ECHO When you are ready to start the driver installation.....
ECHO:
PAUSE
cd Driver
DriverInstall.exe
cd..
ECHO:
ECHO:
ECHO:
ECHO Driver installation should be complete.
ECHO:
ECHO:
PAUSE
CLS
ECHO:
ECHO:
ECHO SOFTWARE INSTALLATION
ECHO ---------------------
ECHO Now we come to the step where we install the update for the system.
ECHO: 
ECHO Follow these steps exactly and you should have your system updated in a couple of minutes.
ECHO:
ECHO 1. When the program RKDevTool v2.71 opens you will see a screen with two rows:  
ECHO      LOADER and FIRMWARE.
ECHO 2. At the end of each row is a column with three dots (...) at the top.  
ECHO 3. Click on the box under the three dots on the LOADER row.
ECHO 4. Double click on the Loader.bin file. 
ECHO 5. Click on the box under the three dots on the FIRMWARE row.
ECHO 6. Double click on the Firmware.img file. 
ECHO 7. Connect the USB cable to your USB port on the PC.
ECHO 8. The program should say that it "Found one MASKOM device.  If it doesn't, you may have
ECHO    forgotten to flip the switch on the back of the PCBA box on the monitor to OFF.
ECHO    Disconnect the cable, flip the switch to OFF and then try step 7 again.
ECHO 9. If you see the MASKROM message, click RUN to install the update.
ECHO:
ECHO When the information in the right panel tells you "Download Image OK", you are done.
ECHO:
ECHO Close that program to return to this screen and finish up.
ECHO:
ECHO NOTE: Like the driver installation, you may see a screen that tells you the software is blocked, 
ECHO click on MORE INFO on that ECHO screen and choose RuN ANYWAY to allow it to run.
ECHO:
ECHO You will then see another screen asking if you want to allow the software to run on your PC, 
ECHO select YES.  This software has been checked and is safe for your PC.
ECHO:
ECHO When you are ready to start the software installation.....
ECHO:
PAUSE
cd Updater
Updater.exe
cd..
ECHO:
ECHO:
ECHO:
ECHO Software installation should be complete.
ECHO:
ECHO:
PAUSE
CLS
ECHO:
ECHO:
ECHO:
ECHO DRIVER UNINSTALL
ECHO ----------------
ECHO Read each step on this screen and only press ENTER when you have
ECHO completed ALL steps.
ECHO:
ECHO We can now uninstall the driver we installed earlier.  You don't need to keep it.
ECHO:
ECHO You will then see the screen asking if you want to allow the software to run on your PC, 
ECHO select YES.
ECHO:
ECHO Select UNINSTALL DRIVER on the screen that appears.
ECHO:
ECHO When the process is complete, close that window to return to this screen.
ECHO:
ECHO When you are ready to start the driver uninstall.....
ECHO:
PAUSE
cd Driver
DriverInstall.exe
cd..
ECHO:
ECHO:
ECHO:
ECHO Driver un-install should be complete.
ECHO:
ECHO:
PAUSE
CLS
ECHO:
ECHO:
ECHO:
ECHO MACHINE PREPARATION PART II
ECHO ---------------------------
ECHO Read everything on this screen and do not press ENTER until you have
ECHO completed all steps.
ECHO:
ECHO Now that the software is installed, you are going to need to perform the 
ECHO following steps on your machine to return it to working order.
ECHO:
ECHO   1. Disconnect the MicroUSB end of your cable from the PCBA.
ECHO   2. Flip the switch on the back of the PCBA housing box back to ON.
ECHO   3. Plug in the POWER cable.
ECHO   4. Replace the back panel and screw it down.  
ECHO:
ECHO You should now be able to start up your machine and the issue you were having 
ECHO will no longer occur.
ECHO:
ECHO We appreciate your patience in waiting for this update and hope you will
ECHO continue to enjoy our products.
ECHO:
ECHO     GAME ON!
ECHO:
ECHO Once you have completed these steps..... 
ECHO:
PAUSE

